package pg.eti.zdolni.zdolniapp;

import android.os.Environment;
import android.os.SystemClock;
import android.support.v7.app.AppCompatActivity;
import android.os.Bundle;
import android.view.View;
import android.widget.Button;
import android.widget.TextView;
import android.widget.Toast;

import java.io.File;
import java.io.FileOutputStream;

public class MainActivity extends AppCompatActivity implements View.OnClickListener {

    String [] questions={
      "Czy dziedziczenie w programowaniu obiektowym oznacza przejęcie przez jedną klasę cech i zachowania innej klasy (bazowej)? ",
      "Czy hermetyzacja w programowaniu obiektowym oznacza sterowanie dostępem do elementów klas za pomocą specyfikatorów public, private, protected?",
      "Czy polimorfizm w programowaniu obiektowym oznacza metodą zapisywania plików?",
       "Czy interfejs w programowaniu obiektowym w Javie oznacza klasę w pełni abstrakcyjną?"
    };
    boolean []answers={true,true,false,true};
    int index=0;
    TextView tv;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);

        Button b1=(Button)findViewById(R.id.button1);
        Button b2=(Button)findViewById(R.id.button2);
        tv=(TextView)findViewById(R.id.textView);
        tv.setText(questions[index]);
        b1.setOnClickListener(this);
        b2.setOnClickListener(this);
    }//onCreate()

    @Override
    public void onClick(View v) {
        switch(v.getId()) {
            case R.id.button1:{
                if(answers[index]){
                    nextQuestion();
                }else
                    info("Zła odpowiedź");
                break;
            }
            case R.id.button2:{
                if(!answers[index]){
                    nextQuestion();
                }else
                    info("Zła odpowiedź");
                break;
            }
        }
    }//onClick()

    private void nextQuestion(){
        info("Odpowiedź prawidłowa");
        if(index<(questions.length-1)) {
            index++;
            tv.setText(questions[index]);
        }else{
            saveRecord("TU BYLABY INFORMACJA O REKORDZIE...","QUIZ");
        }
    }//nextQuestion()

    private void info(String info){
        Toast.makeText(this,info,Toast.LENGTH_SHORT).show();
    }//info()


    /** W nowszych wersjach Androida zapisywanie takie może nie działać - dodatkowe zabezpieczdenia */
    private void saveRecord(String data, String folder) {

        String root = Environment.getExternalStorageDirectory().toString();
        //String root = Environment.getExternalStoragePublicDirectory(Environment.DIRECTORY_PICTURES).toString();

        File myDir = new File(root + "/"+folder);
        myDir.mkdirs();
        String fname = "Result.dat";
        File file = new File (myDir, fname);
        if (file.exists ())
            file.delete ();
        try {
            FileOutputStream out = new FileOutputStream(file);
            out.write(data.getBytes());
            out.flush();
            out.close();
            info("Dane zapisane do pliku");

        } catch (Exception e) {
            e.printStackTrace();
            System.out.println("Exception: "+e);
        }
    }//saveRecord()

}//class
